package circuit;

// ---------------------------------------------

public class CircuitComponent_NOT extends CircuitComponent
{
	// Il costruttore ha bisogno del solo nome, essendo il tipo gi noto.
	
	public CircuitComponent_NOT( String name )
	{
		super( name, "not" );
		
		outputs.add( "output" );
		
		// NuSMV d problemi se chiamiamo una variabile 'in': evidentemente trattasi di una parola chiave
		// del linguaggio. Per questo qui usiamo 'input' (e, per coerenza, abbiamo usato 'output' nella
		// riga sopra).
		
		inputs.add( "input" );
			
		gates.addAll( outputs );
		
		gates.addAll( inputs );
	}
	
	// I metodi per aggiungere gates, inputs, outputs e componenti sono resi privati: stiamo infatti parlando di un
	// componente primitivo, al quale non pu essere aggiunto nulla.
	
	public void addGate( String gate )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a gate to it!" );
	}
	
	public void addInput( String input )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an input to it!" );
	}
	
	public void addOutput( String output )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an output to it!" );
	}
	
	public void addComponent( CircuitComponent c )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a component to it!" );
	}	
}
