package circuit;

// ---------------------------------------------

public class CircuitComponent_XNOR extends CircuitComponent
{
	// Il costruttore ha bisogno del solo nome, essendo il tipo gi noto.
	
	public CircuitComponent_XNOR( String name )
	{
		// NuSMV proibisce di chiamare un modulo 'xnor', essendo essa una parola chiave.
		// Per questo dobbiamo usare la parola 'exnor' al posto di 'xnor'.
		
		super( name, "exnor" );
		
		outputs.add( "out" );
		
		inputs.add( "in_1" );
		
		inputs.add( "in_2" );
				
		gates.addAll( outputs );
		
		gates.addAll( inputs );
	}
	
	// I metodi per aggiungere gates, inputs, outputs e componenti sono resi privati: stiamo infatti parlando di un
	// componente primitivo, al quale non pu essere aggiunto nulla.
	
	public void addGate( String gate )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a gate to it!" );
	}
	
	public void addInput( String input )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an input to it!" );
	}
	
	public void addOutput( String output )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an output to it!" );
	}
	
	public void addComponent( CircuitComponent c )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a component to it!" );
	}	
}
