package circuit;

// ---------------------------------------------

public class CircuitComponent_XOR extends CircuitComponent
{
	// Il costruttore ha bisogno del solo nome, essendo il tipo gi noto.
	
	public CircuitComponent_XOR( String name )
	{
		// NuSMV proibisce di chiamare un modulo 'xor', essendo essa una parola chiave.
		// Per questo dobbiamo usare la parola 'exor' al posto di 'xor'.
		
		super( name, "exor" );
		
		outputs.add( "out" );
		
		inputs.add( "in_1" );
		
		inputs.add( "in_2" );
				
		gates.addAll( outputs );
		
		gates.addAll( inputs );
	}
			
	public void addGate( String gate )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a gate to it!" );
	}
	
	public void addInput( String input )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an input to it!" );
	}
	
	public void addOutput( String output )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an output to it!" );
	}
	
	public void addComponent( CircuitComponent c )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a component to it!" );
	}	
}
